Debian Bug report logs - #108039
swig: no shlibs file

version graph

Package: swig; Maintainer for swig is Torsten Landschoff <torsten@debian.org>; Source for swig is src:swig2.0.

Reported by: Yann Dirson <dirson@debian.org>

Date: Wed, 8 Aug 2001 11:48:01 UTC

Severity: serious

Found in version 1.1.p883-2

Fixed in version swig/1.1.p883-3

Done: Torsten Landschoff <torsten@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Torsten Landschoff <torsten@debian.org>:
Bug#108039; Package swig. Full text and rfc822 format available.

Acknowledgement sent to Yann Dirson <dirson@debian.org>:
New Bug report received and forwarded. Copy sent to Torsten Landschoff <torsten@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Yann Dirson <dirson@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: swig: no shlibs file
Date: Wed, 08 Aug 2001 13:42:16 +0200
Package: swig
Version: 1.1.p883-2
Severity: serious

There is no shlibs file, although shared libs are shipped.
And lintian does not see this (I'll report)




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#108039; Package swig. Full text and rfc822 format available.

Acknowledgement sent to Torsten Landschoff <torsten@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 108039@bugs.debian.org (full text, mbox):

From: Torsten Landschoff <torsten@debian.org>
To: 108039@bugs.debian.org
Subject: libs are needed for rtti
Date: Sun, 4 Nov 2001 02:30:59 +0100
[Message part 1 (text/plain, inline)]
I found out what the shared libraries in swig are needed for. If you need
runtime type information (RTTI) the resulting module has to be linked
against those libraries. Going to break them out of the main package. I 
still have to check what to do about the library version...

Greetings

	Torsten
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Torsten Landschoff <torsten@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Yann Dirson <dirson@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 108039-close@bugs.debian.org (full text, mbox):

From: Torsten Landschoff <torsten@debian.org>
To: 108039-close@bugs.debian.org
Subject: Bug#108039: fixed in swig 1.1.p883-3
Date: Sat, 12 Jan 2002 15:16:58 -0500
We believe that the bug you reported is fixed in the latest version of
swig, which has been installed in the Debian FTP archive:

libswig1.1_1.1.p883-3_i386.deb
  to pool/main/s/swig/libswig1.1_1.1.p883-3_i386.deb
swig-doc-pdf_1.1.p883-3_all.deb
  to pool/main/s/swig/swig-doc-pdf_1.1.p883-3_all.deb
swig-examples_1.1.p883-3_all.deb
  to pool/main/s/swig/swig-examples_1.1.p883-3_all.deb
swig_1.1.p883-3.diff.gz
  to pool/main/s/swig/swig_1.1.p883-3.diff.gz
swig_1.1.p883-3.dsc
  to pool/main/s/swig/swig_1.1.p883-3.dsc
swig_1.1.p883-3_i386.deb
  to pool/main/s/swig/swig_1.1.p883-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 108039@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Torsten Landschoff <torsten@debian.org> (supplier of updated swig package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 10 Jan 2002 01:43:34 +0100
Source: swig
Binary: swig-doc-pdf swig-examples libswig1.1 swig
Architecture: source all i386
Version: 1.1.p883-3
Distribution: unstable
Urgency: low
Maintainer: Torsten Landschoff <torsten@debian.org>
Changed-By: Torsten Landschoff <torsten@debian.org>
Description: 
 libswig1.1 - Runtime support libraries for swig generated wrappers
 swig       - Generate scripting interfaces to C/C++ code.
 swig-doc-pdf - PDF Documentation files for SWIG
 swig-examples - Examples for applications of SWIG.
Closes: 67967 108039
Changes: 
 swig (1.1.p883-3) unstable; urgency=low
 .
   * debian/control: Split off package libswig1.1 for the runtime support
     libraries and have swig depend on it (closes: #67967).
   * debian/rules: Run dh_makeshlibs to generate a shlibs file for the
     new package (closes: #108039).
   * Runtime/Makefile.in: Change the suffix of shared libraries from .so
     to -1.1.so and provide the library name as soname as well to allow
     parallel installation of the runtime libraries.
   * debian/rules:
     + Don't run dh_suidregister (debhelper warning).
     + Kill invocation of dh_installmanpages (manpage installed by anyway
       by make install, installmanpages puts it in libswig1.1 as well).
   * debian/links: Add the symlinks for linking with the runtime libraries
     (libswigtcl.so -> libswigtcl-1.1.so etc.) and run dh_link in
     debian/rules.
   * debian/rules: Force python version to 2.1.
   * configure.in: Replace python1.5 by python2.1, rerun autoconf.
Files: 
 43589197842b7a67f7df862b9929d3de 697 interpreters optional swig_1.1.p883-3.dsc
 0f21c9148e39dbf045ceabc4f49f7fe9 18296 interpreters optional swig_1.1.p883-3.diff.gz
 eeb653bef50641b3fde5a461832df621 629354 interpreters optional swig-examples_1.1.p883-3_all.deb
 960e59fe064937ffc2408453e48a2f0b 989468 doc optional swig-doc-pdf_1.1.p883-3_all.deb
 00030354fb10583488439629e7f34d63 410516 interpreters optional swig_1.1.p883-3_i386.deb
 b90c833f9f5fccc97dd3e4df064d66b4 39506 interpreters optional libswig1.1_1.1.p883-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE8POZIdQgHtVUb5EcRAsgSAJ9BvuAumkqM6AmvG94xEDlpHpWlvgCfTzxW
n6JPkxYahQUJDLbeULpTDWw=
=Yo/R
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:23:51 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.